$(function () {
  const scrollDuration = 0
  const navOffset = 175
  const navHeight = $('.navbar').outerHeight()

  $(window).scroll(function () {
    if ($(this).scrollTop() > navOffset) {
      $('.navbar').removeClass('navbar-static-top')
      $('.navbar').addClass('navbar-fixed-top')
      $('#fixed-nav-title').show()
    } else if ($(this).scrollTop() <= navOffset) {
      $('.navbar').removeClass('navbar-fixed-top')
      $('.navbar').addClass('navbar-static-top')
      $('#fixed-nav-title').hide()
    }

    var href = $(this).scrollTop()
    $('.navbar-nav li > a').each(function (event) {
      try {
        if (href >= $($(this).attr('href')).offset().top - navHeight - 1) {
          $('.navbar-nav a.active').removeClass('active')
          $(this).addClass('active')
        }
      } catch (err) {}
    })
  })

  $('.navbar-nav a').on('click', function (e) {
    e.preventDefault()

    var id = $(this).attr('href')
    $('.navbar-nav li').removeClass('active')
    $(this).parent().addClass('active')

    $('html, body').animate(
      {
        scrollTop: $(id).offset().top - navHeight,
      },
      scrollDuration
    )
  })

  $('#nav-icon').on('click', function (e) {
    e.preventDefault()
    $('.navbar-nav li').removeClass('active')
    var id = $(this).attr('href')
    $('html, body').animate(
      {
        scrollTop: 0,
      },
      scrollDuration
    )
  })
})
